Mysql connection not working
Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:3.6.0 Regression?: No

Operating System: windows 2012 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 29241

Description

We have just upgraded to 3.6 but sadly we still cannot connect to MYSQL versions after 5.7 (Mariadb 10 is fine)

It's the same problem : no features appear until a layer filter is set and then editing is disabled.

Could this be because mysql dropped intersects() function in favour of MBR_intersects() and ST_intersects ?

We can provide connections for anyone who might debug this.

This is such a shame as this blocks us from using qgis as our corporate GIS.

Thanks in advance,

Steve Smith

Related issues:

Related to QGIS Application - Bug report # 20563: MySQL connection fails Open 2018-11-20

History

#1 - 2019-03-01 08:01 AM - Nyall Dawson

Hi Steve,

Unfortunately I think MySQL isn't widely used as a spatial database format, which is why this bug report hasn't seen any activity (we all know there's

countless high-priority bugs in this queue!). It remains to be seen if this is a QGIS bug or is a bug in the underlying GDAL library which is used to access

MySQL data.

I would suggest if this is a high-priority issue for your workplace that it's worth getting in touch with a QGIS support provider (or email me direct -- 

nyall@north-road.com) to discuss funding a fix for this particular issue.

#2 - 2019-03-01 09:53 AM - steve smith

Hi Nyall,

Thanks for reading the post and I do see your problem of prioritising the bug list.

I will try making connections with GDAL and see if the issue is there.

Here now is my pitch for MySQL - hope you read on !

The MySQL/Mariadb (Mariadb being the open source clone of MySQL) spatial support has been there for some years now and has become very stable.
MySQL/Mariadb is now the most used database in the world (topping even Oracle) and is used in all Apache/PHP stacks and a great way for adding

"where is the nearest" functions to web applications.

QGIS actually works great with Mariadb and QGIS handles is so smoothly but I will never get my corporate client to switch from Mysql just for me.

Thanks if you are still reading,

Steve

#3 - 2019-03-01 09:55 AM - Giovanni Manghi

QGIS actually works great with Mariadb and QGIS handles is so smoothly but I will never get my corporate client to switch from Mysql just for me.

As Nyall suggested, if your client is a corporate and needs to use qgis+mysql then it can have a great professional support, just choose one among 

https://qgis.org/en/site/forusers/commercial_support.html

#4 - 2019-03-01 09:55 AM - Giovanni Manghi

- Subject changed from Mysql connection still not working in 3.6 to Mysql connection not working

#5 - 2019-03-01 10:12 AM - steve smith

Fair point Giovanni.

I would just like to get MySQL generally more supported because was it worked great not so long ago.

It worked very smoothly and such a shame to loose it.

The problem with my client is I want them to embrace GIS and they wont listen until I can show it working again.

#6 - 2019-03-01 10:20 AM - Giovanni Manghi

I would just like to get MySQL generally more supported because was it worked great not so long ago.

It worked very smoothly and such a shame to loose it.

The problem with my client is I want them to embrace GIS and they wont listen until I can show it working again.

at times regressions happen, and when is about a feature that is used a by a lot of people then there is also a lot of interested in having it fixed asap. The

support for Mysql in QGIS does not seems (at least to me) to have ever been a need for many. In such cases the interested corporate/administrations/etc

should step  in instead of waiting a fix/implementation done/supported bu others. Cheers!

#7 - 2019-03-01 10:44 AM - steve smith

Yes I can see I'm sounding like a lone voice in the wilderness.

My client won't budge until Mysql is supported and working out of the box.

MySQL is huge and I do so long to drop the ancient MapInfo.

#8 - 2019-03-01 10:46 AM - Giovanni Manghi
MySQL is huge and I do so long to drop the ancient MapInfo.

is Spatial is tiny compared to PostgreSQL ;)

#9 - 2019-03-09 11:06 AM - Giovanni Manghi

- Related to Bug report #20563: MySQL connection fails added

#10 - 2019-03-09 11:06 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed
